Last Comment Bug 606085 - add accessibility service (kNS_ACCESSIBILITY_SERVICE_CID) to service cache
: add accessibility service (kNS_ACCESSIBILITY_SERVICE_CID) to service cache
Status: RESOLVED FIXED
: access, perf
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Trevor Saunders (:tbsaunde)
:
Mentors:
Depends on:
Blocks: 454202
  Show dependency treegraph
 
Reported: 2010-10-20 20:12 PDT by alexander :surkov
Modified: 2011-06-30 23:51 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
bug 606085 - add accessibility service to service list in xpcom/build/ServiceList.h (1.75 KB, patch)
2011-06-25 22:26 PDT, Trevor Saunders (:tbsaunde)
benjamin: review+
Details | Diff | Splinter Review
patch v2 (1.67 KB, patch)
2011-06-28 15:31 PDT, Trevor Saunders (:tbsaunde)
no flags Details | Diff | Splinter Review
bustage fix (1.67 KB, patch)
2011-06-30 01:33 PDT, Mats Palmgren (:mats)
no flags Details | Diff | Splinter Review

Description alexander :surkov 2010-10-20 20:12:33 PDT
follow up from bug 570275

bz: May be worth a followup bug to add the accessibility service to the service
cache...

surkvo: we keep accessibiltiy service instance in cache in a11y and return it when we
were asked, but if this is going to speed up things then it's worth to do.

bz: Yeah; it'll avoid going through the service manager at all to get the service..
Comment 1 alexander :surkov 2011-01-27 22:04:30 PST
note, bug 628922 makes layout to use the accessibility service cached in a11y. For other places that should start accessibility if necessary then accessibility service manager should be used, it's worth to fix this bug for these cases (for that you need to fix xpcom/build/ServiceList.h, Service.cpp files)
Comment 2 Trevor Saunders (:tbsaunde) 2011-06-25 22:26:21 PDT
Created attachment 541985 [details] [diff] [review]
bug 606085 - add accessibility service to service list in xpcom/build/ServiceList.h
Comment 3 Trevor Saunders (:tbsaunde) 2011-06-25 22:31:50 PDT
Comment on attachment 541985 [details] [diff] [review]
bug 606085 - add accessibility service to service list in xpcom/build/ServiceList.h

I'm not sure if there's supposed to be an ordering to the expandos / includes.
Comment 4 alexander :surkov 2011-06-27 20:57:32 PDT
Comment on attachment 541985 [details] [diff] [review]
bug 606085 - add accessibility service to service list in xpcom/build/ServiceList.h

Review of attachment 541985 [details] [diff] [review]:
-----------------------------------------------------------------

no my review is needed in this case (no a11y code is changed and iirc no a11y related code is affected)
Comment 5 Benjamin Smedberg [:bsmedberg] 2011-06-28 06:26:32 PDT
Comment on attachment 541985 [details] [diff] [review]
bug 606085 - add accessibility service to service list in xpcom/build/ServiceList.h

All the other services use InitialCaps, please follow that convention. r=me with that change.
Comment 6 Trevor Saunders (:tbsaunde) 2011-06-28 15:31:56 PDT
Created attachment 542628 [details] [diff] [review]
patch v2

correct capatolization, I hadn't noticed that.
Comment 7 Mats Palmgren (:mats) 2011-06-30 01:33:18 PDT
Created attachment 543089 [details] [diff] [review]
bustage fix

FYI, mozilla-central is burning....  this fixed it in my tree.
Comment 8 Marco Zehe (:MarcoZ) 2011-06-30 01:42:42 PDT
Comment on attachment 543089 [details] [diff] [review]
bustage fix

Thanks, yes this looks fine!
Comment 9 Mats Palmgren (:mats) 2011-06-30 01:47:22 PDT
Pushed the bustage fix:
http://hg.mozilla.org/mozilla-central/rev/2a75e12a105a
Comment 10 Trevor Saunders (:tbsaunde) 2011-06-30 11:01:19 PDT
(In reply to comment #7)
> Created attachment 543089 [details] [diff] [review] [review]
> bustage fix
> 
> FYI, mozilla-central is burning....  this fixed it in my tree.

dam, yeah we need that ifdef.

Note You need to log in before you can comment on or make changes to this bug.